## ros-melodic-grid-map-loader 1.6.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(grid_map_loader)

set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  roscpp
  grid_map_ros
  grid_map_msgs
)

## System dependencies are found with CMake's conventions
#find_package(Eigen3 REQUIRED)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
#  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIR}
)

## Declare a cpp executable
add_executable(
  ${PROJECT_NAME}
  src/grid_map_loader_node.cpp
  src/GridMapLoader.cpp
)

## Specify libraries to link a library or executable target against
target_link_libraries(
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-grid-map-loader (1.6.2-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-melodic-grid-map-loader (1.6.1-1stretch) stretch; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-grid-map-loader (1.6.0-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-melodic-grid-map-loader (1.5.2-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-loader (1.5.1-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-loader (1.5.0-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-loader (1.4.2-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-melodic-grid-map-loader (1.4.1-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sat, 22 Oct 2016 22:00:00 -0000

ros-melodic-grid-map-loader (1.4.0-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 21 Aug 2016 22:00:00 -0000

ros-melodic-grid-map-loader (1.3.3-1stretch) stretch; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-loader (1.3.2-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-loader (1.3.1-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-loader (1.3.0-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 25 Apr 2016 22:00:00 -0000

ros-melodic-grid-map-loader (1.2.0-1stretch) stretch; urgency=high

  * Changed the package name from grid_map to grid_map_ros and made grid_map a metapackage (#34 <https://github.com/anybotics/grid_map/issues/34>).
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Wed, 02 Mar 2016 23:00:00 -0000

ros-melodic-grid-map-loader (1.1.3-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-loader (1.1.2-1stretch) stretch; urgency=high

  * Should fix errors on build server regarding Eigen3 and visualization_msgs dependencies.

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-loader (1.1.1-1stretch) stretch; urgency=high

  * Changes to CMakeLists.txt to enable compatibility with Ubuntu Saucy.

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-loader (1.1.0-1stretch) stretch; urgency=high

  * added installation instructions in CMakeLists
  * general improvements and bugfixes

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 07 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-loader (1.0.0-1stretch) stretch; urgency=high

  * release for Springer ROS Book Chapter

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 19 Nov 2015 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-grid-map-loader
Section: misc
Priority: optional
Maintainer: Péter Fankhauser <pfankhauser@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-grid-map-msgs, ros-melodic-grid-map-ros, ros-melodic-roscpp
Homepage: http://github.com/anybotics/grid_map
Standards-Version: 3.9.2

Package: ros-melodic-grid-map-loader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-grid-map-msgs, ros-melodic-grid-map-ros, ros-melodic-roscpp
Description: Loading and publishing grid maps from bag files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-grid-map-loader//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-grid-map-loader 1.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.5.1)
 project(grid_map_loader)
 
 set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
+
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
 ## Find catkin macros and libraries
 find_package(catkin REQUIRED COMPONENTS
@@ -37,13 +39,13 @@
 ## Your package locations should be listed before other locations
 include_directories(
   include
-  ${catkin_INCLUDE_DIRS}
-  ${EIGEN3_INCLUDE_DIR}
+  SYSTEM
+    ${catkin_INCLUDE_DIRS}
+    ${EIGEN3_INCLUDE_DIR}
 )
 
 ## Declare a cpp executable
-add_executable(
-  ${PROJECT_NAME}
+add_executable(${PROJECT_NAME}
   src/grid_map_loader_node.cpp
   src/GridMapLoader.cpp
 )
@@ -66,3 +68,43 @@
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )
 
+#############
+## Testing ##
+#############
+
+if (CATKIN_ENABLE_TESTING)
+  catkin_add_gtest(${PROJECT_NAME}-test
+    test/test_grid_map_loader.cpp
+  )
+  add_dependencies(${PROJECT_NAME}-test
+    ${PROJECT_NAME}
+  )
+  target_include_directories(${PROJECT_NAME}-test PRIVATE
+    include
+  )
+  target_include_directories(${PROJECT_NAME}-test SYSTEM PUBLIC
+    ${catkin_INCLUDE_DIRS}
+    ${EIGEN3_INCLUDE_DIRS}
+  )
+
+  ###################
+  ## Code_coverage ##
+  ###################
+  find_package(cmake_code_coverage QUIET)
+  if(cmake_code_coverage_FOUND)
+    add_gtest_coverage(
+      TEST_BUILD_TARGETS
+        ${PROJECT_NAME}-test
+    )
+  endif()
+endif()
+
+#################
+## Clang_tools ##
+#################
+find_package(cmake_clang_tools QUIET)
+if(cmake_clang_tools_FOUND)
+  add_default_clang_tooling(
+    DISABLE_CLANG_FORMAT
+  )
+endif(cmake_clang_tools_FOUND)

=== debian/changelog ===
ros-melodic-grid-map-loader (1.6.4-2bionic) bionic; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 03 Dec 2020 23:00:00 -0000

ros-melodic-grid-map-loader (1.6.2-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-melodic-grid-map-loader (1.6.1-2bionic) bionic; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-grid-map-loader (1.6.0-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-melodic-grid-map-loader (1.5.2-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-loader (1.5.1-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-loader (1.5.0-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-loader (1.4.2-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-melodic-grid-map-loader (1.4.1-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sat, 22 Oct 2016 22:00:00 -0000

ros-melodic-grid-map-loader (1.4.0-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 21 Aug 2016 22:00:00 -0000

ros-melodic-grid-map-loader (1.3.3-2bionic) bionic; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-loader (1.3.2-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-loader (1.3.1-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-loader (1.3.0-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 25 Apr 2016 22:00:00 -0000

ros-melodic-grid-map-loader (1.2.0-2bionic) bionic; urgency=high

  * Changed the package name from grid_map to grid_map_ros and made grid_map a metapackage (#34 <https://github.com/anybotics/grid_map/issues/34>).
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Wed, 02 Mar 2016 23:00:00 -0000

ros-melodic-grid-map-loader (1.1.3-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-loader (1.1.2-2bionic) bionic; urgency=high

  * Should fix errors on build server regarding Eigen3 and visualization_msgs dependencies.

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-loader (1.1.1-2bionic) bionic; urgency=high

  * Changes to CMakeLists.txt to enable compatibility with Ubuntu Saucy.

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-loader (1.1.0-2bionic) bionic; urgency=high

  * added installation instructions in CMakeLists
  * general improvements and bugfixes

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 07 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-loader (1.0.0-2bionic) bionic; urgency=high

  * release for Springer ROS Book Chapter

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 19 Nov 2015 23:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-melodic-grid-map-loader
 Section: misc
 Priority: optional
-Maintainer: Péter Fankhauser <pfankhauser@anybotics.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-grid-map-msgs, ros-melodic-grid-map-ros, ros-melodic-roscpp
+Maintainer: Maximilian Wulf <mwulf@anybotics.com>
+Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-melodic-catkin, ros-melodic-grid-map-msgs, ros-melodic-grid-map-ros, ros-melodic-roscpp
 Homepage: http://github.com/anybotics/grid_map
 Standards-Version: 3.9.2
